Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class MediaSource.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.phonon.MediaSource.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  MediaSource

    public static final class MediaSource.Type

extends java.lang.Enum
implements QtEnumerator

Identifies the type of media described by the `MediaSource` object.

See also:
  `MediaSource::type()`.

See Also:
  Serialized Form

Field Summary
`static MediaSource.Type` | `Disc`
`static MediaSource.Type` | `Invalid`
`static MediaSource.Type` | `LocalFile`
`static MediaSource.Type` | `Stream`
`static MediaSource.Type` | `Url`

Method Summary
`static MediaSource.Type` | `resolve(int value)` Returns the MediaSource$Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static MediaSource.Type` | `valueOf(java.lang.String name)`
`static MediaSource.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Invalid

    public static final MediaSource.Type Invalid

### LocalFile

    public static final MediaSource.Type LocalFile

### Url

    public static final MediaSource.Type Url

### Disc

    public static final MediaSource.Type Disc

### Stream

    public static final MediaSource.Type Stream

Method Detail

### values

    public static MediaSource.Type[] values()

### valueOf

    public static MediaSource.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static MediaSource.Type resolve(int value)

  Returns the MediaSource$Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD